<?php

namespace Modules\Appointment\Http\Requests\Frontend;

use Illuminate\Foundation\Http\FormRequest;

class HeroRequestForm extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'title'=>['required'],
            'short_description'=>['sometimes', 'nullable'],
            'background_image'=>['required'],
            'tutor_image'=>['sometimes', 'nullable'],
        ];
    }

    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }
}
